| Element | Description |
| --- | --- |
| [`<acronym>`](/en-US/docs/Web/HTML/Element/acronym "The HTML Acronym Element (<acronym>) allows authors to clearly indicate a sequence of characters that compose an acronym or abbreviation for a word. This element has been removed in HTML5. Use <abbr> element.") | The HTML Acronym Element (`<acronym>)` allows authors to clearly indicate a sequence of characters that compose an acronym or abbreviation for a word. This element has been removed in HTML5. Use [`<abbr>`](/en-US/docs/Web/HTML/Element/abbr "The HTML <abbr> element (or HTML Abbreviation Element) represents an abbreviation and optionally provides a full description for it. If present, the title attribute must contain this full description and nothing else.") element. |
| [`<applet>`](/en-US/docs/Web/HTML/Element/applet "The HTML Applet Element (<applet>) identifies the inclusion of a Java applet.") | The HTML Applet Element (`<applet>`) identifies the inclusion of a Java applet. |
| [`<basefont>`](/en-US/docs/Web/HTML/Element/basefont "The HTML basefont element (<basefont>) establishes a default font size for a document. Font size then can be varied relative to the base font size using the <font> element.") | The HTML basefont element (`<basefont>`) establishes a default font size for a document. Font size then can be varied relative to the base font size using the [`<font>`](/en-US/docs/Web/HTML/Element/font "The HTML Font Element (<font>) defines the font size, color and face for its content.") element. |
| [`<big>`](/en-US/docs/Web/HTML/Element/big "The HTML Big Element (<big>) makes the text font size one size bigger (for example, from small to medium, or from large to x-large) up to the browser's maximum font size.") | The HTML Big Element (`<big>`) makes the text _font size_ one size bigger (for example, from small to medium, or from large to x-large) up to the browser's maximum font size. |
| [`<blink>`](/en-US/docs/Web/HTML/Element/blink "The HTML Blink Element (<blink>) is a non-standard element causing the enclosed text to flash slowly.") | The HTML Blink Element (`<blink>`) is a non-standard element causing the enclosed text to flash slowly. |
| [`<center>`](/en-US/docs/Web/HTML/Element/center "The HTML Center Element (<center>) is a block-level element that can contain paragraphs and other block-level and inline elements. The entire content of this element is centered horizontally within its containing element (typically, the <body>).") | The HTML Center Element (`<center>`) is a [block-level element](/en-US/docs/HTML/Block-level_elements "HTML/Block-level_elements") that can contain paragraphs and other block-level and inline elements. The entire content of this element is centered horizontally within its containing element (typically, the [`<body>`](/en-US/docs/Web/HTML/Element/body "The HTML <body> Element represents the content of an HTML document. There can be only one <body> element in a document.")). |
| [`<command>`](/en-US/docs/Web/HTML/Element/command "The command element represents a command which the user can invoke.") | The `command` element represents a command which the user can invoke. |
| [`<content>`](/en-US/docs/Web/HTML/Element/content "The HTML <content> element is used inside of Shadow DOM as an insertion point. It is not intended to be used in ordinary HTML. It is used with Web Components. It has now been replaced by the <slot> element.") | The **[HTML](/en-US/docs/Web/HTML) `<content>`** element is used inside of [Shadow DOM](/en-US/docs/Web/Web_Components/Shadow_DOM) as an [insertion point](/en-US/docs/Glossary/insertion_point "The definition of that term (insertion point) has not been written yet; please consider contributing it!"). It is not intended to be used in ordinary HTML. It is used with [Web Components](/en-US/docs/Web/Web_Components). It has now been replaced by the **<slot>** element. |
| [`<dir>`](/en-US/docs/Web/HTML/Element/dir "The HTML directory element (<dir>) represents a directory, namely a collection of filenames.") | The _HTML directory element_ (`<dir>`) represents a directory, namely a collection of filenames. |
| [`<font>`](/en-US/docs/Web/HTML/Element/font "The HTML Font Element (<font>) defines the font size, color and face for its content.") | The _HTML Font Element_ (<font>) defines the font size, color and face for its content. |
| [`<frame>`](/en-US/docs/Web/HTML/Element/frame "<frame> is an HTML element which defines a particular area in which another HTML document can be displayed. A frame should be used within a <frameset>.") | `<frame>` is an HTML element which defines a particular area in which another HTML document can be displayed. A frame should be used within a [`<frameset>`](/en-US/docs/Web/HTML/Element/frameset "<frameset> is an HTML element which is used to contain <frame> elements."). |
| [`<frameset>`](/en-US/docs/Web/HTML/Element/frameset "<frameset> is an HTML element which is used to contain <frame> elements.") | `<frameset>` is an HTML element which is used to contain [`<frame>`](/en-US/docs/Web/HTML/Element/frame "<frame> is an HTML element which defines a particular area in which another HTML document can be displayed. A frame should be used within a <frameset>.") elements. |
| [`<isindex>`](/en-US/docs/Web/HTML/Element/isindex "<isindex> is an obsolete HTML element that puts a text field in a page for querying the document.") | **`<isindex>`** is an obsolete HTML element that puts a text field in a page for querying the document. |
| [`<keygen>`](/en-US/docs/Web/HTML/Element/keygen "The HTML <keygen> element exists to facilitate generation of key material, and submission of the public key as part of an HTML form. This mechanism is designed for use with Web-based certificate management systems. It is expected that the <keygen> element will be used in an HTML form along with other information needed to construct a certificate request, and that the result of the process will be a signed certificate.") | The HTML `<keygen>` element exists to facilitate generation of key material, and submission of the public key as part of an [HTML form](/en-US/docs/Web/Guide/HTML/Forms). This mechanism is designed for use with Web-based certificate management systems. It is expected that the `<keygen>` element will be used in an HTML form along with other information needed to construct a certificate request, and that the result of the process will be a signed certificate. |
| [`<listing>`](/en-US/docs/Web/HTML/Element/listing "The HTML Listing Element (<listing>) renders text between the start and end tags without interpreting the HTML in between and using a monospaced font. The HTML 2 standard recommended that lines shouldn't be broken when not greater than 132 characters.") | The _HTML Listing Element_ (`<listing>`) renders text between the start and end tags without interpreting the HTML in between and using a monospaced font. The HTML 2 standard recommended that lines shouldn't be broken when not greater than 132 characters. |
| [`<marquee>`](/en-US/docs/Web/HTML/Element/marquee "The HTML <marquee> element is used to insert a scrolling area of text.") | The HTML `<marquee>` element is used to insert a scrolling area of text. |
| [`<multicol>`](/en-US/docs/Web/HTML/Element/multicol "The HTML <multicol> element was an experimental element designed to allow multi-column layouts. It never got any significant traction and is not implemented in any major browsers.") | The HTML `<multicol>` element was an experimental element designed to allow multi-column layouts. It never got any significant traction and is not implemented in any major browsers. |
| [`<nextid>`](/en-US/docs/Web/HTML/Element/nextid "Technical review completed.") | Technical review completed. |
| [`<noembed>`](/en-US/docs/Web/HTML/Element/noembed "The <noembed> element is a deprecated and non-standard way to provide alternative, or "fallback", content for browsers that do not support the <embed> element or do not support embedded content an author wishes to use.") | The `<strong><noembed></strong>` element is a deprecated and non-standard way to provide alternative, or "fallback", content for browsers that do not support the [`<embed>`](/en-US/docs/Web/HTML/Element/embed "The HTML <embed> Element represents an integration point for an external application or interactive content (in other words, a plug-in).") element or do not support [embedded content](/en-US/docs/Web/Guide/HTML/Content_categories#Embedded_content) an author wishes to use. |
| [`<plaintext>`](/en-US/docs/Web/HTML/Element/plaintext "The HTML Plaintext Element (<plaintext>) renders everything following the start tag as raw text, without interpreting any HTML. There is no closing tag, since everything after it is considered raw text.") | The _HTML Plaintext Element_ (`<plaintext>`) renders everything following the start tag as raw text, without interpreting any HTML. There is no closing tag, since everything after it is considered raw text. |
| [`<spacer>`](/en-US/docs/Web/HTML/Element/spacer "<spacer> is an HTML element which is used for inserting white spaces to web pages. It was created by NetScape for achieving same effect as a single-pixel layout GIF image, which was something web designers used to use to add white spaces to web pages, without actually using a GIF. However <spacer> is not supported by any major browser and same effects can be created with various CSS rules. In Mozilla applications, support for this element was removed in Gecko 2.0. Therefore usage of <spacer> is unnecessary.") | `<spacer>` is an HTML element which is used for inserting white spaces to web pages. It was created by NetScape for achieving same effect as a single-pixel layout GIF image, which was something web designers used to use to add white spaces to web pages, without actually using a GIF. However `<spacer> ` is not supported by any major browser and same effects can be created with various CSS rules. In Mozilla applications, support for this element was removed in Gecko 2.0. Therefore usage of `<spacer>` is unnecessary. |
| [`<strike>`](/en-US/docs/Web/HTML/Element/strike "The HTML <strike> element (or HTML Strikethrough Element) places a strikethrough (horizontal line) over text.") | The **HTML `<strike>` element** (or _HTML Strikethrough Element_) places a strikethrough (horizontal line) over text. |
| [`<tt>`](/en-US/docs/Web/HTML/Element/tt "The HTML Teletype Text Element (<tt>) produces an inline element displayed in the browser's default monotype font. This element was intended to style text as it would display on a fixed width display, such as a teletype. It probably is more common to display fixed width type using the <code> element.") | The HTML Teletype Text Element (`<tt>`) produces an inline element displayed in the browser's default monotype font. This element was intended to style text as it would display on a fixed width display, such as a teletype. It probably is more common to display fixed width type using the [`<code>`](/en-US/docs/Web/HTML/Element/code "The HTML <code> Element represents a fragment of computer code. By default, it is displayed in the browser's default monospace font.") element. |
| [`<xmp>`](/en-US/docs/Web/HTML/Element/xmp "The HTML Example Element (<xmp>) renders text between the start and end tags without interpreting the HTML in between and using a monospaced font. The HTML2 specification recommended that it should be rendered wide enough to allow 80 characters per line.") | The _HTML Example Element_ (`<xmp>`) renders text between the start and end tags without interpreting the HTML in between and using a monospaced font. The HTML2 specification recommended that it should be rendered wide enough to allow 80 characters per line. |
