| Element | Description |
| --- | --- |
| [`<button>`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/button "The HTML <button> element represents a clickable button.") | The **HTML `<button>` element** represents a clickable button. |
| [`<datalist>`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/datalist "The HTML <datalist> element contains a set of <option> elements that represent the values available for other controls.") | The **HTML `<datalist>` element** contains a set of [`<option>`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/option "In a Web form, the HTML <option> element is used to create a control representing an item within a <select>, an <optgroup> or a <datalist> HTML5 element.") elements that represent the values available for other controls. |
| [`<fieldset>`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/fieldset "The HTML <fieldset> element is used to group several controls as well as labels (<label>) within a web form.") | The **HTML `<fieldset>` element** is used to group several controls as well as labels ([`<label>`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/label "The HTML Label Element (<label>) represents a caption for an item in a user interface. It can be associated with a control either by placing the control element inside the <label> element, or by using the for attribute. Such a control is called the labeled control of the label element. One input can be associated with multiple labels.")) within a web form. |
| [`<form>`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/form "The HTML <form> element represents a document section that contains interactive controls to submit information to a web server.") | The **HTML `<form>` element** represents a document section that contains interactive controls to submit information to a web server. |
| [`<input>`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input "The HTML <input> element is used to create interactive controls for web-based forms in order to accept data from the user. How an <input> works varies considerably depending on the value of its type attribute.") | The **HTML `<input>` element** is used to create interactive controls for web-based forms in order to accept data from the user. How an `<input>` works varies considerably depending on the value of its `type` attribute. |
| [`<label>`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/label "The HTML <label> element represents a caption for an item in a user interface.") | The **HTML `<label>` element** represents a caption for an item in a user interface. |
| [`<legend>`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/legend "The HTML <legend> element represents a caption for the content of its parent <fieldset>.") | The **HTML `<legend>` element** represents a caption for the content of its parent [`<fieldset>`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/fieldset "The HTML <fieldset> element is used to group several controls as well as labels (<label>) within a web form."). |
| [`<meter>`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/meter "The HTML <meter> element represents either a scalar value within a known range or a fractional value.") | The **HTML `<meter>` element** represents either a scalar value within a known range or a fractional value. |
| [`<optgroup>`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/optgroup "The HTML <optgroup> element creates a grouping of options within a <select> element.") | The **HTML `<optgroup>` element** creates a grouping of options within a [`<select>`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/select "The HTML <select> element represents a control that presents a menu of options. The options within the menu are represented by <option> elements, which can be grouped by <optgroup> elements. Options can be pre-selected for the user.") element. |
| [`<option>`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/option "The HTML <option> element is used to create a control representing an item within a <select>, an <optgroup> or a <datalist> HTML5 element.") | The **HTML `<option>` element** is used to create a control representing an item within a [`<select>`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/select "The HTML <select> element represents a control that presents a menu of options. The options within the menu are represented by <option> elements, which can be grouped by <optgroup> elements. Options can be pre-selected for the user."), an [`<optgroup>`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/optgroup "The HTML <optgroup> element creates a grouping of options within a <select> element.") or a [`<datalist>`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/datalist "The HTML <datalist> element contains a set of <option> elements that represent the values available for other controls.") HTML5 element. |
| [`<output>`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/output "The HTML <output> element represents the result of a calculation or user action.") | The **HTML `<output>` element** represents the result of a calculation or user action. |
| [`<progress>`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/progress "The HTML <progress> element represents the completion progress of a task, typically displayed as a progress bar.") | The **HTML `<progress>` element** represents the completion progress of a task, typically displayed as a progress bar. |
| [`<select>`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/select "The HTML <select> element represents a control that provides a menu of options.") | The **HTML `<select>` element** represents a control that provides a menu of options. |
| [`<textarea>`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/textarea "The HTML <textarea> element represents a multi-line plain-text editing control.") | The **HTML `<textarea>` element** represents a multi-line plain-text editing control. |
